Page MenuHomePhabricator

Cite menu option is missing on the Mobile VE toolbar
Closed, ResolvedPublic

Description

Cite menu option is missing on the Mobile VE toolbar.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2018, 11:23 AM
DLynch claimed this task.EditedMay 24 2018, 3:31 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch added a subscriber: DLynch.

I'd assume fallout from a08febb0afa2d by @Esanders. Mostly because MobileArticleTarget never got an equivalent to 900b74e9a9 which lets it know where references are supposed to go in the toolbar.

Change 434938 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MobileArticleTarget: Include placeholder for references

https://gerrit.wikimedia.org/r/434938

Change 434938 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MobileArticleTarget: Include placeholder for references

https://gerrit.wikimedia.org/r/434938

Change 434992 had a related patch set uploaded (by 20after4; owner: DLynch):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.5] MobileArticleTarget: Include placeholder for references

https://gerrit.wikimedia.org/r/434992

Change 434992 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.5] MobileArticleTarget: Include placeholder for references

https://gerrit.wikimedia.org/r/434992

This is fixed on Beta cluster. However, it's still broken on test2 which is running wmf.5?

Deskana closed this task as Resolved.May 25 2018, 10:51 AM
Deskana triaged this task as High priority.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 25 2018, 10:51 AM
Vvjjkkii renamed this task from Cite menu option is missing on the Mobile VE toolbar to clcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed DLynch as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from clcaaaaaaa to Cite menu option is missing on the Mobile VE toolbar.Jul 2 2018, 5:11 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to DLynch.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.